Skip to main content
GET
cURL

Authorizations

Authorization
string
header
required

Generate a JWT access token through a Custom Global Integration and provide it with each request in the Authorization header prefixed with "Bearer" and then a single space.

Query Parameters

fields
enum<string>[]

Select fields of the HandlingClass object. See the selecting fields page for more information. Specify fields of the HandlingClass object to include in the response.

Available options:
all,
name,
code,
sort_order,
warehouses,
conditions,
referenced_product_profiles,
conditions_readable,
matched_count,
classification,
created_at,
updated_at
fields:warehouses
enum<string>[]

Specify fields of the referenced Warehouse objects to include under included.Warehouse. type and id are always returned. See the selecting fields page for more information. Specify additional fields of the Warehouse object to be included in the response.

Available options:
basic,
all,
id,
name,
is_active,
abbreviation
fields:referenced_product_profiles
enum<string>[]

Specify fields of the referenced ProductProfile objects to include under included.ProductProfile. type and id are always returned. See the selecting fields page for more information. Specify fields of an included ProductProfile object.

Available options:
basic,
all,
name,
code,
conditions,
conditions_readable,
matched_count,
classification,
created_at,
updated_at
filter
string[]

Using the filtering syntax, you may filter the results using:

  • id
  • code
  • name
  • warehouse_id
  • sort_order

warehouse_id supports eq, in, neq, and nin. Negative filters exclude a Handling Class if it is assigned to any of the specified Warehouses.

sort
string

The default sort is ascending by id. Available fields are:

  • id

Cursor paging supports only id or -id sorting.

count
integer

If specified as 1, the meta.count property of the response will be present and populated with the total count of items matching the query before any paging is applied. This is not included by default to improve performance in some edge cases and is not required to perform paging using the next property of the response. See paging parameters for more information.

Required range: 0 <= x <= 1
cursor_end
integer

A cursor for use in pagination which defines the last id of the next page of results, non-inclusive. See paging parameters for more information on paging.

cursor_start
integer

A cursor for use in pagination which defines the starting id of the next page of results. See paging parameters for more information on paging.

limit
integer
default:100

Maximum number of Handling Classes to return.

Required range: 1 <= x <= 250

Response

A cursor-paginated collection of Handling Classes.

collection
HandlingClass · object[]
included
object

Related Warehouses and Product Profiles requested through nested fields:* parameters.

Example:
has_more
boolean

True if the collection has more items on the next page. Use the "next" link to retrieve the next page of results.

next
string | null

The resource path for the next page of results if any are expected.

previous
string | null

The resource path for the previous page of results if any are expected.

meta
object

Additional metadata pertaining to the response.